### Method

# Cogl Onscreen hide

#### Declaration [src]

    void
    cogl_onscreen_hide (
      CoglOnscreen* onscreen
    )

#### Description [src]

This requests to make `onscreen` invisible to the user.

Actually the precise semantics of this function depend on the window system currently in use, and if you don’t have a multi-windowining system this function may in-fact do nothing.

This function does not implicitly allocate the given `onscreen` framebuffer before hiding it.

Since Cogl doesn’t explicitly track the visibility status of onscreen framebuffers it won’t try to avoid redundant window system requests e.g. to show an already visible window. This also means that it’s acceptable to alternatively use native APIs to show and hide windows without confusing Cogl.